// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import ElementUI from 'element-ui'
import '@/assets/css/theme/index.css'
import http, {setHandle} from '@/util/http'
import '@/util/dateHandle'

Vue.use(ElementUI)
Vue.config.productionTip = false
Vue.prototype.$http = http

setHandle(router)

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  components: { App },
  template: '<App/>'
})
